# ClassYear

Represents a class year on SMHW.

## Constructor

#### new ClassYear(client, response)

Instantiate a ClassYear object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/ClassYear.js, line 10

### Members

#### (private) _client :Client

The client that instantiated this object.

Type:

- Client

Source:
  - structures/ClassYear.js, line 16

#### active :Boolean

Whether or not the class year is active.

Type:

- Boolean

Source:
  - structures/ClassYear.js, line 22

#### class_group_ids :Array.<Number>

An array of class groups IDs in the class year.

Type:

- Array.<Number>

Source:
  - structures/ClassYear.js, line 28

#### created_at :Number

The timestamp of when the class year was created.

Type:

- Number

Source:
  - structures/ClassYear.js, line 34

#### has_students :Boolean

Whether or not the class year has students.

Type:

- Boolean

Source:
  - structures/ClassYear.js, line 40

#### id :Number

The ID of the class year.

Type:

- Number

Source:
  - structures/ClassYear.js, line 46

#### id :Number

The ID of the class year.

Type:

- Number

Source:
  - structures/ClassYear.js, line 76

#### name :String

The name of the class year.

Type:

- String

Source:
  - structures/ClassYear.js, line 52

#### position :Number

The position of the class year in the school.

Type:

- Number

Source:
  - structures/ClassYear.js, line 58

#### school_id :Number

The ID of the school that the class year belongs to.

Type:

- Number

Source:
  - structures/ClassYear.js, line 64

#### updated_at :Number

The timestamp of when the class year was last updated.

Type:

- Number

Source:
  - structures/ClassYear.js, line 70

### Methods

#### getSchool() → {Promise.<School>}

Get the school that the class year belongs to.

Source:
  - structures/ClassYear.js, line 83

Returns:

Type
  Promise.<School>